Bug 960362 (CVE-2013-2062) - CVE-2013-2062 libXp: Integer overflow leading to heap-based buffer overflow
Summary: CVE-2013-2062 libXp: Integer overflow leading to heap-based buffer overflow
Status: CLOSED ERRATA
Alias: CVE-2013-2062
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130523,repor...
Keywords: Security
Depends On: 966829 979864 1078031
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-07 06:06 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-10-15 17:52 UTC (History)
5 users (show)

Fixed In Version: libXp 1.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 06:21:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-07 06:06:22 UTC
Multiple integer overflows leading to heap-based buffer overflows were found in several functions in libXp, an X.Org X11 libXp runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

Comment 5 Jan Lieskovsky 2013-05-23 15:33:24 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 6 Huzaifa S. Sidhpurwala 2013-05-24 04:05:09 UTC
Created libXp tracking bugs for this issue

Affects: fedora-all [bug 966829]

Comment 7 Huzaifa S. Sidhpurwala 2013-06-05 03:40:41 UTC
This issue affects the version of libXp as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 8 Huzaifa S. Sidhpurwala 2013-06-05 03:50:16 UTC
Statement:

This issue affects the libXp package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 9 Jan Lieskovsky 2013-06-17 13:06:02 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 11 Fedora Update System 2013-07-11 02:32:58 UTC
libXp-1.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2014-10-14 05:05:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.